<?xml version="1.0"?>
<?xml-stylesheet type="text/css" href="http://docs.hostway.com/skins/common/feed.css?303"?>
<feed xmlns="http://www.w3.org/2005/Atom" xml:lang="en">
		<id>http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-action-interFranchiseMigration%3AGET</id>
		<title>Accounts-accountId-action-interFranchiseMigration:GET - Revision history</title>
		<link rel="self" type="application/atom+xml" href="http://docs.hostway.com/index.php?action=history&amp;feed=atom&amp;title=Accounts-accountId-action-interFranchiseMigration%3AGET"/>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action-interFranchiseMigration:GET&amp;action=history"/>
		<updated>2026-05-18T07:43:06Z</updated>
		<subtitle>Revision history for this page on the wiki</subtitle>
		<generator>MediaWiki 1.18.0</generator>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-action-interFranchiseMigration:GET&amp;diff=2389&amp;oldid=prev</id>
		<title>Corinne.chui: 1 revision</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action-interFranchiseMigration:GET&amp;diff=2389&amp;oldid=prev"/>
				<updated>2016-05-30T19:33:58Z</updated>
		
		<summary type="html">&lt;p&gt;1 revision&lt;/p&gt;
&lt;table class='diff diff-contentalign-left'&gt;
		&lt;tr valign='top'&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;← Older revision&lt;/td&gt;
		&lt;td colspan='1' style=&quot;background-color: white; color:black;&quot;&gt;Revision as of 19:33, 30 May 2016&lt;/td&gt;
		&lt;/tr&gt;&lt;/table&gt;</summary>
		<author><name>Corinne.chui</name></author>	</entry>

	<entry>
		<id>http://docs.hostway.com/index.php?title=Accounts-accountId-action-interFranchiseMigration:GET&amp;diff=2388&amp;oldid=prev</id>
		<title>Emanuela.mitreva at 14:14, 9 May 2016</title>
		<link rel="alternate" type="text/html" href="http://docs.hostway.com/index.php?title=Accounts-accountId-action-interFranchiseMigration:GET&amp;diff=2388&amp;oldid=prev"/>
				<updated>2016-05-09T14:14:37Z</updated>
		
		<summary type="html">&lt;p&gt;&lt;/p&gt;
&lt;p&gt;&lt;b&gt;New page&lt;/b&gt;&lt;/p&gt;&lt;div&gt;= GET /accounts/''{accountId}''/action/interFranchiseMigration =&lt;br /&gt;
Get details about an account's migration to another franchise&lt;br /&gt;
__TOC__&lt;br /&gt;
== Request ==&lt;br /&gt;
&amp;lt;code&amp;gt;GET /accounts/''{accountId}''/action/interFranchiseMigration&amp;lt;/code&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; accountId - ''string''&lt;br /&gt;
: The Id of the account.&lt;br /&gt;
&lt;br /&gt;
=== URI Parameters ===&lt;br /&gt;
None.&lt;br /&gt;
&lt;br /&gt;
=== Request Headers ===&lt;br /&gt;
{{Authorization}}&lt;br /&gt;
&lt;br /&gt;
== Response ==&lt;br /&gt;
&lt;br /&gt;
=== Status Code ===&lt;br /&gt;
;200 OK&lt;br /&gt;
: Success.&lt;br /&gt;
&lt;br /&gt;
;403 Forbidden&lt;br /&gt;
: Forbidden access to accounts by a user not authorized for such access.&lt;br /&gt;
&lt;br /&gt;
;404 Not Found&lt;br /&gt;
: The account Id was not found or a migration request has not been created for this account.&lt;br /&gt;
&lt;br /&gt;
=== Response Body ===&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;{status}&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: {progress},&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;&amp;lt;/nowiki&amp;gt;{{APIBaseURL}}&amp;lt;nowiki&amp;gt;/accounts/{account-number}/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
==== Parameters ====&lt;br /&gt;
; status - ''string''&lt;br /&gt;
: The status of the migration. Valid values are '''pending''', '''complete''', '''inprogress''' or '''unknown''' - in case there is no InterFranchise migration started on the account, for this case the progress is None.&lt;br /&gt;
&lt;br /&gt;
; progress - ''float''&lt;br /&gt;
: A float from 0 to 1 representing the migration request's progress. The progress would indicated which is the current flow of the InterFranchise migration process - 0.1 would indicate that it is on the first flow, 0.9 on the last, 1 would indicated that the migration was completed. Can be ''null'' if the status is '''unknown'''.&lt;br /&gt;
&lt;br /&gt;
; newAccountId - ''string''&lt;br /&gt;
: The newly-generated accountId for the target account in the target franchise. Available only when the status is '''complete'''.&lt;br /&gt;
&lt;br /&gt;
; newFranchise - ''string''&lt;br /&gt;
: The target franchise this account was migrated to. Available only when the status is '''complete'''.&lt;br /&gt;
&lt;br /&gt;
; links - ''list''&lt;br /&gt;
: [[Hypermedia]] for this resource. Links to self.&lt;br /&gt;
&lt;br /&gt;
== Conditional Hypermedia ==&lt;br /&gt;
Hypermedia fields marked as optional will appear on the basis of the accessing user's permissions.&lt;br /&gt;
&lt;br /&gt;
== Examples ==&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that has been submitted but not started ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;pending&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is being processed (10% done) ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;inprogress&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0.1,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is being processed (70% done) ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;inprogress&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 0.7,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that is finished ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;complete&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: 1,&lt;br /&gt;
  &amp;quot;newAccountId&amp;quot;: &amp;quot;acc853234524&amp;quot;,&lt;br /&gt;
  &amp;quot;newFranchise&amp;quot;: &amp;quot;domainpeople_us_main&amp;quot;,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that was never started ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 200 OK'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
  &amp;quot;status&amp;quot;: &amp;quot;unknown&amp;quot;,&lt;br /&gt;
  &amp;quot;progress&amp;quot;: null,&lt;br /&gt;
  &amp;quot;links&amp;quot;: [&lt;br /&gt;
    {&amp;quot;href&amp;quot;: &amp;quot;{{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&amp;quot;, &amp;quot;rel&amp;quot;: &amp;quot;self&amp;quot;}&lt;br /&gt;
  ]&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
=== Requesting the status of a migration that does not exist ===&lt;br /&gt;
'''Request'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
GET {{APIBaseURL}}/accounts/account123/action/interFranchiseMigration&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
'''Response'''&lt;br /&gt;
 '''HTTP/1.1 404 Not Found'''&lt;br /&gt;
 &amp;lt;nowiki&amp;gt;&lt;br /&gt;
{&lt;br /&gt;
   &amp;quot;itemNotFound&amp;quot; : {&lt;br /&gt;
      &amp;quot;message&amp;quot;: &amp;quot;Resource not found&amp;quot;, &lt;br /&gt;
      &amp;quot;code&amp;quot;: 404, &lt;br /&gt;
      &amp;quot;details&amp;quot;: &amp;quot;&amp;quot;,&lt;br /&gt;
      &amp;quot;guid&amp;quot;: &amp;quot;59e0b3dd-2173-432a-8ff5-60efe16e83bf&amp;quot;&lt;br /&gt;
   }&lt;br /&gt;
}&lt;br /&gt;
 &amp;lt;/nowiki&amp;gt;&lt;br /&gt;
&lt;br /&gt;
== See also ==&lt;br /&gt;
* [[Account|Account Management API]]&lt;br /&gt;
* [[Common Features]]&lt;br /&gt;
&lt;br /&gt;
{{disqus}}&lt;br /&gt;
[[Category:Hostway API]]&lt;br /&gt;
[[Category:Account Management API]]&lt;/div&gt;</summary>
		<author><name>Emanuela.mitreva</name></author>	</entry>

	</feed>